# Class Utilisateur

java.lang.Object
Utilisateur

    public class Utilisateur
    extends java.lang.Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Utilisateur​(java.lang.String pseudo, java.lang.Integer port, java.net.InetAddress ip)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Boolean` | `equals​(Utilisateur u)` |
`java.net.InetAddress` | `getIp()` |
`java.lang.Integer` | `getPort()` |
`java.lang.String` | `getPseudo()` |
`void` | `setPort​(java.lang.Integer port)` |
`void` | `setPseudo​(java.lang.String pseudo)` |
`static Utilisateur` | `stringToUtilisateur​(java.lang.String s)` |
`java.lang.String` | `toString()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Utilisateur

public Utilisateur​(java.lang.String pseudo, java.lang.Integer port, java.net.InetAddress ip)

## Method Details

### getPseudo

public java.lang.String getPseudo()

### setPseudo

public void setPseudo​(java.lang.String pseudo)

### getPort

public java.lang.Integer getPort()

### setPort

public void setPort​(java.lang.Integer port)

### getIp

public java.net.InetAddress getIp()

### toString

public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

### stringToUtilisateur

public static Utilisateur stringToUtilisateur​(java.lang.String s)

### equals

public java.lang.Boolean equals​(Utilisateur u)